#ifndef __SEEKBAR_H
#define __SEEKBAR_H

#ifdef __cplusplus
extern "C" {
#endif

#include <wiisprite.h>

#include "widget.h"

class SeekBar : public Widget
{
	public:
		SeekBar();
		virtual ~SeekBar();
		
		virtual void draw();
		
		virtual void cursorDown(int x, int y, Action a);
		virtual void cursorMove(int x, int y);
		virtual void cursorUp(int x, int y, Action a);
		virtual void cursorOut();
	private:
		void reskin();
		
		Sprite *bgSprite;
		Image *bgImage;
		
		Sprite *dragSprite;
		Image *dragImage;
		
		Theme windowManager;
		Settings settingsManager;
		Sound sound;
		
		int state;
		int dragStat;
		int dragLoc;
};

#ifdef __cplusplus
}
#endif

#endif
